CloudBees Jenkins Platform Operations Center 2.73.34.0.1

RELEASED: Public: 2018-07-18

Based on Jenkins LTS2.73.34

Fixed release[.badge .badge-pill .ml-1 .badge-warning]Security release

Security advisory

Security advisory * Security Advisory 2018-07-18

+ Fixes the security issues described in the advisory.

Verified plugins

  • Async Http Client

    1.7.24.1 verified installed by default

  • Authentication Tokens API Plugin

    1.3 verified optional

  • CloudBees Jenkins Advisor Plugin

    1.2 verified optional

  • Config File Provider Plugin

    2.16.4 verified optional

  • Credentials Binding Plugin

    1.15 verified optional

  • Credentials Plugin

    2.1.17 verified installed by default

  • Display URL API

    2.0 verified installed by default

  • Folders Plugin

    6.1.2 verified installed by default

  • Icon Shim Plugin

    2.0.3 verified optional

  • JUnit Plugin

    1.21.1-cb-1 verified installed by default

  • Jackson 2 API Plugin

    2.7.3 verified installed by default

  • Javadoc Plugin

    1.4 verified optional

  • Jenkins Mailer Plugin

    1.21 verified installed by default

  • Jenkins SSH Slaves plugin

    1.20 verified optional

  • LDAP Plugin

    1.18 verified optional

  • MapDB API Plugin

    1.0.9.0 verified installed by default

  • Metrics Plugin

    3.1.2.10 verified installed by default

  • OWASP Markup Formatter Plugin

    1.5 verified optional

  • Plain Credentials Plugin

    1.4 verified optional

  • SAML Plugin

    1.0.7 verified optional

  • SSH Credentials Plugin

    1.14 verified optional

  • Script Security Plugin

    1.39 verified optional

  • Secure Requester Whitelist Plugin

    1.1 verified optional

  • Structs Plugin

    1.14 verified installed by default

  • Token Macro Plugin

    2.4 verified installed by default

  • Variant Plugin

    1.1 verified installed by default

Proprietary plugins

  • Beekeeper Upgrade Assistant Plugin

    2.73.3.1 proprietary installed by default

  • CloudBees Back-up Plugin

    3.35 proprietary optional

  • CloudBees Folders Plus Plugin

    3.2 proprietary installed by default

  • CloudBees High Availability Management plugin

    4.12 proprietary installed by default

  • CloudBees Jenkins Enterprise License Entitlement Check

    8.6 proprietary installed by default

  • CloudBees License Manager

    9.17 proprietary installed by default

  • CloudBees Monitoring Plugin

    2.7 proprietary installed by default

  • CloudBees Nodes Plus Plugin

    1.15 proprietary optional

  • CloudBees Plugin Usage Plugin

    1.6 proprietary optional

  • CloudBees Quiet Start Plugin

    1.3 proprietary optional

  • CloudBees Restart Aborted Builds Plugin

    1.9 proprietary optional

  • CloudBees Role-Based Access Control Plugin

    5.17 proprietary optional

  • CloudBees SSH Build Agents Plugin

    2.1 proprietary optional

  • CloudBees Skip Next Build Plugin

    4.0 proprietary optional

  • CloudBees Support Plugin

    3.11 proprietary installed by default

  • CloudBees Update Center Plugin

    4.26 proprietary optional

  • CloudBees VMWare Autoscaling Plugin

    4.3.6 proprietary optional

  • CloudBees WikiText Security Plugin

    3.8 proprietary optional

  • Operations Center Agent

    2.73.0.1 proprietary installed by default

  • Operations Center Analytics

    2.73.0.2 proprietary optional

  • Operations Center Analytics Configuration

    2.73.0.2 proprietary optional

  • Operations Center Analytics Feeder

    2.73.0.2 proprietary optional

  • Operations Center Analytics Kibana Dashboards

    2.73.0.2 proprietary optional

  • Operations Center Analytics Reporter

    2.73.0.2 proprietary optional

  • Operations Center Analytics Viewer

    2.73.0.2 proprietary optional

  • Operations Center Context

    2.73.0.3 proprietary installed by default

  • Operations Center Elasticsearch Provider

    2.73.0.1 proprietary optional

  • Operations Center Embedded elasticsearch

    2.73.0.1 proprietary optional

  • Operations Center JNLP Agent Controller Plugin

    2.73.0.2 proprietary optional

  • Operations Center Monitoring Plugin

    2.73.0.1 proprietary optional

  • Operations Center Server Cluster Operations

    2.73.0.2 proprietary optional

  • Operations Center Server EC2 Cloud

    2.73.0.1 proprietary optional

  • Operations Center Server License Entitlement Check

    2.73.0.1 proprietary installed by default

  • Operations Center Server Mesos Cloud

    2.73.0.1 proprietary optional

  • Operations Center Server Plugin

    2.73.0.4 proprietary installed by default

  • Operations Center Server Role Based Access Control

    2.73.0.1 proprietary optional

  • Operations Center Single Sign-On Plugin

    2.73.0.1 proprietary optional

  • Operations Center Update Center Plugin

    2.73.0.1 proprietary optional

Compatible plugins

  • Amazon EC2 plugin

    1.36.1-cb-2 compatible optional

  • Amazon Web Services SDK

    1.11.264 compatible optional

  • CloudBees Amazon Web Services Credentials Plugin

    1.21 compatible optional

  • Durable Task Plugin

    1.16 compatible optional

  • Email Extension Plugin

    2.62 compatible optional

  • Jenkins Active Directory plugin

    2.4 compatible optional

  • Jenkins Apache HttpComponents Client 4.x API Plugin

    4.5.3-2.1 compatible optional

  • Jenkins JSch dependency plugin

    0.1.54.1 compatible optional

  • Matrix Authorization Strategy Plugin

    1.7 compatible optional

  • Matrix Project Plugin

    1.12 compatible optional

  • Maven Integration plugin

    3.1 compatible optional

  • Monitoring

    1.67.0 compatible optional

  • Node Iterator API Plugin

    1.5.0 compatible installed by default

  • PAM Authentication plugin

    1.3 compatible optional

  • Pipeline: Step API

    2.14 compatible installed by default

  • SSH Agent Plugin

    1.15 compatible optional

  • Stack Trace Suppression Plugin

    1.5 compatible optional

  • Support Core Plugin

    2.41 compatible installed by default

  • Unique ID Library Plugin

    2.1.3 compatible optional

  • bouncycastle API Plugin

    2.16.2 compatible installed by default

  • mesos

    0.14.1 compatible optional

Plugin modifications